using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

/// <summary>
/// Description résumée de Personne
/// </summary>
public class Personne
{
    public int idPersonne { get; set; }
    public string prenom { get; set; }
    public string nom { get; set; }

	public Personne()
	{
		
	}

    public Personne(int idPersonne,string prenom,string nom)
    {
        this.idPersonne = idPersonne;
        this.prenom = prenom;
        this.nom = nom;
    }
}

public class PersonneDAO
{
    public PersonneDAO()
    {

    }

    public Personne[] GetData()
    {
        return new Personne[] {
            new Personne(1,"Jean","Valjean"),
            new Personne(2,"René","Château")
        };
    }

    /// <summary>
    /// Propriété Personnes, représente une entité (table)
    /// </summary>
    public List<Personne> Personnes
    {
        get
        {
            Personne[] tab = GetData();
            var q = from p in tab select p;
            return q.ToList();
        }
    }
}